Progress and stats
GET
https://server.heyrik.com/api/v1/campaigns/{id}Path parameters
idRequiredReplace {id} in the request URL with the value for this resource.
Headers
AuthorizationstringRequiredUse Bearer $HEYRIK_API_KEY with an account-scoped API key. Keep the key on your server.
Response
Explore the example values. This is not a complete response schema.
dataobjectExplore 5 properties
idstringExample "cmp_4a19"
statusstringExample "running"
totalnumberExample 250
countsobjectExplore 3 properties
pendingnumberExample 132
completednumberExample 108
failednumberExample 10
category_countsobjectExplore 3 properties
hotnumberExample 40
warmnumberExample 55
coldnumberExample 13
GET/campaigns/{id}
cURL
curl https://server.heyrik.com/api/v1/campaigns/cmp_4a19 \
-H "Authorization: Bearer $HEYRIK_API_KEY"Response example
JSON
{
"data": {
"id": "cmp_4a19",
"status": "running",
"total": 250,
"counts": { "pending": 132, "completed": 108, "failed": 10 },
"category_counts": { "hot": 40, "warm": 55, "cold": 13 }
}
}Illustrative examples · No live request is sent
